Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 617619 - Can't associate with AP on WPA-PSK protected network
Can't associate with AP on WPA-PSK protected network
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-23 10:51 EDT by Alex Hudson (Fedora Address)
Modified: 2011-06-29 09:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:05:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Extract from messages of attempt to connect that failed. (3.76 KB, application/octet-stream)
2010-07-23 10:51 EDT, Alex Hudson (Fedora Address)
no flags Details
Extract from messages where the connection attempt was successful. (4.37 KB, text/plain)
2010-07-23 10:52 EDT, Alex Hudson (Fedora Address)
no flags Details

  None (edit)
Description Alex Hudson (Fedora Address) 2010-07-23 10:51:56 EDT
Created attachment 433974 [details]
Extract from messages of attempt to connect that failed.

Description of problem:

A family member has an ADSL broadband connection in the UK with a supplied router, and depending on the network security setting it's impossible to connect to with wi-fi.

The available options are "WEP", "WPA-PSK", "WPA2-PSK (AES)", "WPA/WPA2-PSK (Mixed Mode)" and "WPA-802.1x". The default option is "WPA-PSK", and with this selected, NetworkManager simply can't get a connection up and running. I've switched to WPA/WPA2-PSK (Mixed), and it now works fine.

The WPA encryption is set to "TKIP", but we haven't changed any options at all except the aforementioned mode.

Version-Release number of selected component (if applicable):

NetworkManager-0.8.1-0.1.git20100510.fc13.x86_64

How reproducible:

Always

Additional info:

I'm attaching two /var/log/messages extracts, the first faulty and the second working. I've renamed the network so I could tell which file was which, this was just a find/replace on the file content - the actual ESSID didn't change.
Comment 1 Alex Hudson (Fedora Address) 2010-07-23 10:52:36 EDT
Created attachment 433975 [details]
Extract from messages where the connection attempt was successful.
Comment 2 Jirka Klimes 2010-08-03 04:15:53 EDT
The association in wpa_supplicant timed out.
To get more info on that, would you mind to post your /var/log/wpa_supplicant.log?
The best way would be to follow "Debugging WiFi Connections" section on http://live.gnome.org/NetworkManager/Debugging

Also, could you grab output of nm-tool?
Comment 3 Nenad Opsenica 2011-04-13 18:22:54 EDT
Similar thing is happening with ath5k on EL6 (SL6 in my case). Only after 40-50 association tries STA is associated to the AP. In my case, it does not matter if AP is using AES or TKIP, same thing is happening. Upgrade to wpa_supplicant 0.7.3 (from FC15) didn't help. 

Hardware is working correctly as everything was fine 7 days ago with EL5 (CentOS 5.5).

This is extract from wpa_supplicant.log file:

Failed to initiate AP scan.
Trying to associate with 00:22:3f:22:xx:xx (SSID='HomeNet' freq=2427 MHz)
Authentication with 00:22:3f:22:xx:xx timed out.
Trying to associate with 00:22:3f:22:xx:xx (SSID='HomeNet' freq=2427 MHz)
Trying to associate with 00:22:3f:22:xx:xx (SSID='HomeNet' freq=2427 MHz)
Authentication with 00:00:00:00:00:00 timed out.
Trying to associate with 00:22:3f:22:xx:xx (SSID='HomeNet' freq=2427 MHz)
Trying to associate with 00:22:3f:22:xx:xx (SSID='HomeNet' freq=2427 MHz)
Authentication with 00:22:3f:22:xx:xx timed out.
Failed to initiate AP scan.
Trying to associate with 00:22:3f:22:xx:xx (SSID='HomeNet' freq=2427 MHz)
Authentication with 00:22:3f:22:xx:xx timed out.
Failed to initiate AP scan.
Trying to associate with 00:22:3f:22:xx:xx (SSID='HomeNet' freq=2427 MHz)
Authentication with 00:22:3f:22:xx:xx timed out.
Trying to associate with 00:22:3f:22:xx:xx (SSID='HomeNet' freq=2427 MHz)
Trying to associate with 00:22:3f:22:xx:xx (SSID='HomeNet' freq=2427 MHz)
Authentication with 00:22:3f:22:xx:xx timed out.
Trying to associate with 00:22:3f:22:xx:xx (SSID='HomeNet' freq=2427 MHz)
Trying to associate with 00:22:3f:22:xx:xx (SSID='HomeNet' freq=2427 MHz)
Authentication with 00:22:3f:22:xx:xx timed out.
Trying to associate with 00:22:3f:22:xx:xx (SSID='HomeNet' freq=2427 MHz)
Trying to associate with 00:22:3f:22:xx:xx (SSID='HomeNet' freq=2427 MHz)
Authentication with 00:22:3f:22:xx:xx timed out.
Trying to associate with 00:22:3f:22:xx:xx (SSID='HomeNet' freq=2427 MHz)
Trying to associate with 00:22:3f:22:xx:xx (SSID='HomeNet' freq=2427 MHz)
Authentication with 00:22:3f:22:xx:xx timed out.
Trying to associate with 00:22:3f:22:xx:xx (SSID='HomeNet' freq=2427 MHz)
Trying to associate with 00:22:3f:22:xx:xx (SSID='HomeNet' freq=2427 MHz)
Authentication with 00:22:3f:22:xx:xx timed out.
Trying to associate with 00:22:3f:22:xx:xx (SSID='HomeNet' freq=2427 MHz)
Trying to associate with 00:22:3f:22:xx:xx (SSID='HomeNet' freq=2427 MHz)
Comment 4 Jirka Klimes 2011-04-15 03:46:25 EDT
Are you able to test with a different PC/WiFi USB stick to find out whether the driver causes the issue?
Also please include output of nm-tool and dmesg.
To get more detailed logs from wpa_supplicant please follow comment #2.
Comment 5 Dan Williams 2011-04-19 17:49:57 EDT
Auth timeouts are likely driver problems...  what kernel version are you running?
Comment 6 Nenad Opsenica 2011-04-20 18:12:54 EDT
In my case, after testing with ath5k from compat-wireless-2011.04.06, and with latest madwifi trunk, I finally opened laptop and changed miniPCI wireless card. It turned out that it was damaged, as association to the same AP with the second miniPCI works just fine. So, problem with auth timeouts could be also hardware related.
Comment 7 Bug Zapper 2011-06-01 09:08:20 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2011-06-29 09:05:47 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.